<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.tofly.gpsboot.mapper.plan.InspecttypeMapper">

    <resultMap id="inspecttypeMap" type="com.tofly.pojo.plan.Inspecttype">
        <id property="id" column="ID"/>
        <result property="name" column="NAME"/>
        <result property="note" column="NOTE"/>
        <result property="createUser" column="CREATE_USER"/>
        <result property="createTime" column="CREATE_TIME"/>
        <result property="layerName" column="LAYER_NAME"/>
        <result property="layerNameEn" column="LAYER_NAME_EN"/>
        <result property="flag" column="FLAG"/>
    </resultMap>

    <select id="getInspectTypeName" resultType="string">
        select name from TF_YWPN_INSPECTTYPE_W where ID = #{id}
    </select>


</mapper>
